<template>
  <div class="dashboard-bill-payments-page pb-5">
    <h1 class="page-title">Bill Payments</h1>
    <div class="mt-3">
      <h6>1. Choose a Card</h6>
      <div class="row">
        <div class="col-sm-12 col-md-4">
          <div class="mt-2">
            <input
              type="radio"
              name="activeAccount"
              v-model="form.activeAccount"
              value="currentAccountBalance"
              id="currentAccountBalance"
              class="account-radio d-none"
            />
            <label for="currentAccountBalance" class="w-100">
              <CurrentAccountBalance />
            </label>
          </div>
          <div class="mt-3">
            <input
              type="radio"
              name="activeAccount"
              value="savingsAccountBalance"
              id="savingsAccountBalance"
              class="account-radio d-none"
            />
            <label for="savingsAccountBalance" class="w-100">
              <SavingsAccountBalance />
            </label>
          </div>
        </div>
        <div class="col-sm-12 col-md-8">
          <h6>2. Select a service</h6>

          <div class="choose-transfer-type-card p-4">
            <div class="saved-beneficiary mt-3">
              <a href="/user/dashboard/bill-payments/utility">
                <img
                  src="@/assets/icons/utility.svg"
                  alt="Utility"
                  class="m-2"
                />
              </a>
              <a href="/user/dashboard/bill-payments/cable-tv">
                <img
                  src="@/assets/icons/cable-tv.svg"
                  alt="Cable TV"
                  class="m-2"
                />
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: 'dashboard',
  components: {},
  data: () => ({
    form: {
      activeAccount: 'currentAccountBalance',
    },
    userAccounts: [],
  }),
  async asyncData({ $axios }) {
    const utilityBillers = await $axios.$get('/bill/utility/billers')
    const userAccounts = await $axios.$get('/user/accounts')

    // console.log(utilityBillers)
    return {
      utilityBillers: utilityBillers.payload,
      userAccounts: userAccounts.payload,
    }
  },
}
</script>
// bill/data-plans/buy

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.text-sm {
  font-size: 12px;
}

.dashboard-bill-payments-page {
  .choose-transfer-type-card,
  .fill-beneficiary-details {
    background: #ffffff;
    border-radius: 20px;

    input.form-control,
    .form-select,
    textarea.form-control {
      background-color: #f4f2ec;
      border-radius: 5px;
      border: none;
    }
  }
  input.account-radio:checked + label {
    .account-card {
      // background-color: red;
      background-position: 98% 4%;
      background-image: url(~@/assets/images/tick.png);
    }
  }
}
</style>
